package com.jpsoft.shinestar.modules.base.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.shinestar.modules.base.entity.RolePersonCheckOn;
import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.common.dto.Sort;

public interface RolePersonCheckOnService {
	RolePersonCheckOn get(String id);
	boolean exist(String id);
	int insert(RolePersonCheckOn model);
	int update(RolePersonCheckOn model);
	int delete(String id);
	List<RolePersonCheckOn> list();
	RolePersonCheckOn findByPersonId(String personId);
	Page<RolePersonCheckOn> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, List<Sort> sortList);
    RolePersonCheckOn findByRoleId(String roleId);
}